import { EventEmitter } from 'nomatic-events';
import Transport from './Transport';
export interface Levels {
    [key: string]: number;
}
export interface LoggerOptions {
    template?: string;
    transports?: Transport[];
    levels?: Levels;
}
export declare class Logger extends EventEmitter {
    private _levels;
    protected transports: Transport[];
    protected children: Logger[];
    readonly name: string;
    template: string;
    constructor(name?: string, options?: LoggerOptions);
    levels: Levels;
    private serialize(level, message, data?);
    configure(options: LoggerOptions): void;
    create(name: string, options?: LoggerOptions): Logger;
    find(name: string): Logger;
    log(level: string, messageOrData: string | Object, data?: Object): void;
    get(name: string): Logger;
    register(logger: Logger): boolean;
    use(transport: Transport): void;
}
export default Logger;
